Subject: Re: Is this 32-bit NCM?

From: Bjørn Mork <[email-masked]>
Date: Tue, 02 Dec 2014 14:37:03 +0100

Enrico Mioso <[email-masked]> writes:

> ... but out of curiosity: are NCM specs allowing to change order of things in 
> the package or not?
> This is not to start philosofical falames or something, but to understand 
> better how things work. And, if they do: how much arbitrarily?

Only the NTB header has a fixed location. The rest can be anywhere and
in any order. Quoting from section 3 Data Transport:

  "Within any given NTB, the NTH always must be first; but the other
   items may occur in arbitrary order."

Bjørn
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html